<?php
namespace Claromentis\Core\Imager;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array();
use chillerlan\QRCode\QRCode;
class QrCodeImage
{
    protected QRCode $qrCodeGenerator;
    public function __construct(QRCode $_e1718c40750ebff78795f0c20299e154)
    {
        $this->qrCodeGenerator = $_e1718c40750ebff78795f0c20299e154;
    }
    public function GetEmbeddableImageData(string $code)
    {
        return $this->qrCodeGenerator->render($code);
    }
    public function SaveImage(string $code, string $_4010317756062a82dd44f8db74db2ed5)
    {
        return $this->qrCodeGenerator->render($code, $_4010317756062a82dd44f8db74db2ed5);
    }
}